org.eclipse.rap.rwt.application

## Interface ExceptionHandler

    public interface ExceptionHandler

This interface allows application code to be informed of exceptions that occur while running the event loop.

Since:
  2.1
See Also:
  `Application.setExceptionHandler(ExceptionHandler)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleException(java.lang.Throwable throwable)` Called if an exception occurred.

### Method Detail

#### handleException

    void handleException(java.lang.Throwable throwable)

Called if an exception occurred.

Parameters:
  `throwable` - the exception that occurred, never `null`

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0